lzfu.h File Reference

Go to the source code of this file.

## Functions

char * | pst_lzfu_decompress (char *rtfcomp, uint32_t compsize, size_t *size)
| decompress lz compressed rtf data. More...

## Function Documentation

## pst_lzfu_decompress()

char* pst_lzfu_decompress | ( | char * | rtfcomp,
|  | uint32_t | compsize,
|  | size_t * | size
| ) |  |

decompress lz compressed rtf data.

The initial lz dictionary is preloaded with rtf specific data.

Parameters

  rtfcomp | pointer to the rtf compressed data
  compsize | size of the compressed data buffer
  size | pointer to location to return size of the output buffer

Returns
  pointer to the output buffer containing the decompressed data. The caller must free this buffer.